html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}
.logo {
    display: flex;
    align-items: center; /* Centra verticalmente el logotipo */
    padding:10px; /*Añade espacio alrededor del logotipo */
}

    .logo img {
        max-width: 80px; /* Ajusta el ancho máximo del logotipo según tu diseño */
        height: auto;
        border-radius: 5%;
    }

.carousel-item {
    text-align: center;
}

.carousel-item img {
        max-height: 400px;
        width: auto;
        margin: 0 auto;
}

.carousel-caption h1 {
    font-size: 36px;
}
.carousel-caption p {
    font-size: 18px;
    margin-top: 10px;
}

/* Estilos de las tarjetas de proyectos */
.proyectos {
    max-width: 1200px;
    margin: 20px auto;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.proyecto-card {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    padding: 20px;
    flex: 1;
    min-width: 300px;
}

    .proyecto-card img {
        max-width: 100%;
        height: auto;
        border-radius: 5px;
    }

    .proyecto-card h3 {
        font-size: 24px;
        margin-top: 10px;
    }

    .proyecto-card p {
        font-size: 16px;
        margin-top: 10px;
    }

    .proyecto-card a {
        display: block;
        text-align: center;
        background-color: #ff6f61;
        color: white;
        text-decoration: none;
        padding: 10px 0;
        border-radius: 5px;
        margin-top: 10px;
        transition: background-color 0.3s ease;
    }

        .proyecto-card a:hover {
            background-color: #ff564b;
        }
.imagen-redimensionada {
    width: 300px; /* Ancho deseado en píxeles */
    height: 200px; /* La altura se ajusta automáticamente para mantener la proporción original */
}
.checked {
    color: orange;
}

.fa-star {
    cursor: pointer;
}
/* Estilo personalizado para simular card-columns */
.card-columns {
  /*  column-count: 1;*/ /* Ajusta el número de columnas según tus necesidades */
    /*column-gap: 1rem;*/ /* Espacio entre columnas */
}
/* Dos columnas en pantallas medianas 
@media (min-width: 576px) {
    .card-columns {
        column-count: 2;
    }
}*/

/* Tres columnas en pantallas grandes 
@media (min-width: 992px) {
    .card-columns {
        column-count: 3;
    }
}
    */
    /* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
    .card-columns .card:hover .card-img {
        opacity: 1;
    }

    .card-columns .card-body {
        height: 100px;
        font-family: 'Nunito', sans-serif;
        background: #fbfafd;
    }

    .card-columns .card-img {
        height: 200px;
        vertical-align: bottom;
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
        opacity: .8;
    }
.card {
    break-inside: avoid;
    margin: 0; /* Ajusta los márgenes a 0 */
    padding: 1rem; /* Añade un espacio interior adecuado */
}

.modal .card-img {
    height: 500px;
    vertical-align: bottom;
    background-position: center; /* Center the image */
    background-repeat: no-repeat; /* Do not repeat the image */
    background-size: cover; /* Resize the background image to cover the entire container */
}

.card-columns .card:hover {
    transform: scale(1.05);
    box-shadow: 0 10px 20px rgba(37,33,82,.12), 0 4px 8px rgba(37,33,82,.06);
}

/*
a.navbar-brand {
    white-space: normal;
    font-family: 'Yellowtail', cursive;
    font-size: xx-large;
    text-align: center;
    word-break: break-all;
}*/

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

p {
    font-family: 'Nunito', sans-serif;
}

h1 {
    font-family: 'Nunito', sans-serif;
}

ul {
    font-family: 'Nunito', sans-serif;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    font-family: 'Nunito', sans-serif;
}
/*Backgrounds*/
/*
.bg-navbar {
    background: -webkit-linear-gradient(110deg, #e9a8a6 60%, #252152 60%);
    background: -o-linear-gradient(110deg, #e9a8a6 60%, #252152 60%);
    background: -moz-linear-gradient(110deg, #e9a8a6 60%, #252152 60%);
    background: linear-gradient(110deg, #e9a8a6 60%, #252152 60%);
}*/

.bg-footer {
    background: -webkit-linear-gradient(110deg, #252152 60%, #e9a8a6 60%);
    background: -o-linear-gradient(110deg, #252152 60%, #e9a8a6 60%);
    background: -moz-linear-gradient(110deg, #252152 60%, #e9a8a6 60%);
    background: linear-gradient(110deg, #252152 60%, #e9a8a6 60%);
}
section.hero {
    background-color: #f8f9fa; /* Color de fondo para la sección hero */
    color: #343a40; /* Color de texto para la sección hero */
    padding: 100px 0; /* Espaciado interno superior e inferior para la sección hero */
    text-align: center;
}
section.hero1 {
    /*background-color: #007bff;*/ /* Color de fondo para la sección hero */
    color: #343a40; /* Color de texto para la sección hero */
    padding: 50px 0; /* Espaciado interno superior e inferior para la sección hero */
    text-align: center;
}
section.hero2 {
    background-color: #eaf0f6; /* Color de fondo para la sección hero */
    color: #343a40; /* Color de texto para la sección hero */
    padding: 50px 0; /* Espaciado interno superior e inferior para la sección hero */
    text-align: center;
}
